Vector BLF: Vector::BLF::AfdxFrame Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Vector::BLF::AfdxFrame Struct Referencefinal

AFDX_FRAME. More...

`#include <AfdxFrame.h>`

Inheritance diagram for Vector::BLF::AfdxFrame:

## Public Types
enum | Dir : uint16_t { Rx = 0 , Tx = 1 , TxRq = 2 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
std::array< uint8_t, 6 > | sourceAddress {}
uint16_t | channel {}
std::array< uint8_t, 6 > | destinationAddress {}
uint16_t | dir {}
| Direction flag.
uint16_t | type {}
uint16_t | tpid {}
uint16_t | tci {}
uint8_t | ethChannel {}
uint8_t | reservedAfdxFrame1 {}
uint16_t | afdxFlags {}
uint16_t | reservedAfdxFrame2 {}
uint32_t | bagUsec {}
uint16_t | payLoadLength {}
| Number of valid payLoad bytes.
uint16_t | reservedAfdxFrame3 {}
uint32_t | reservedAfdxFrame4 {}
std::vector< uint8_t > | payLoad {}
| Ethernet payload data.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

AFDX_FRAME.

AFDX frame.

## Member Enumeration Documentation

## ◆ Dir

enum Vector::BLF::AfdxFrame::Dir : uint16_t

enumeration for dir

Enumerator
Rx | Receive
Tx | Transmit
TxRq | Transmit Request

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::AfdxFrame::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::AfdxFrame::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::AfdxFrame::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ afdxFlags

uint16_t Vector::BLF::AfdxFrame::afdxFlags {}

Status- and error flags as:

- Bit 0: Frame from line-B
- Bit 1: Packet is redundant
- Bit 2: Frame is a fragment only
- Bit 3: Frame is already reassembled
- Bit 4: Packet is not a valid AFDX frame
- Bit 5: AFDX-SequenceNo is invalud
- Bit 6: Redundancy timeout violated
- Bit 7: Redundancy error encountered
- Bit 8: A / B interface mismatch
- Bit 11: Fragmentation error

## ◆ bagUsec

uint32_t Vector::BLF::AfdxFrame::bagUsec {}

Time period since last received frame on this virtual link in micro-seconds

## ◆ channel

uint16_t Vector::BLF::AfdxFrame::channel {}

The channel of the frame.

## ◆ destinationAddress

std::array<uint8_t, 6> Vector::BLF::AfdxFrame::destinationAddress {}

Ethernet (MAC) address of target computer (network byte order).

## ◆ ethChannel

uint8_t Vector::BLF::AfdxFrame::ethChannel {}

Channel number of the underlying Ethernet interface, where the frame originated from.

## ◆ payLoad

std::vector<uint8_t> Vector::BLF::AfdxFrame::payLoad {}

Ethernet payload data.

Ethernet payload data (without Ethernet header).

Max 1582 (1600 packet length - 18 header) data bytes per frame

## ◆ payLoadLength

uint16_t Vector::BLF::AfdxFrame::payLoadLength {}

Number of valid payLoad bytes.

Length of Ethernet payload data in bytes. Max. 1500 Bytes (without Ethernet header)

## ◆ reservedAfdxFrame1

uint8_t Vector::BLF::AfdxFrame::reservedAfdxFrame1 {}

reserved

## ◆ reservedAfdxFrame2

uint16_t Vector::BLF::AfdxFrame::reservedAfdxFrame2 {}

reserved

## ◆ reservedAfdxFrame3

uint16_t Vector::BLF::AfdxFrame::reservedAfdxFrame3 {}

reserved

## ◆ reservedAfdxFrame4

uint32_t Vector::BLF::AfdxFrame::reservedAfdxFrame4 {}

reserved

## ◆ sourceAddress

std::array<uint8_t, 6> Vector::BLF::AfdxFrame::sourceAddress {}

Ethernet (MAC) address of source computer (network byte order).

## ◆ tci

uint16_t Vector::BLF::AfdxFrame::tci {}

TCI when VLAND tag valid, zero when no VLAN. See Ethernet standard specification.

## ◆ tpid

uint16_t Vector::BLF::AfdxFrame::tpid {}

TPID when VLAN tag valid, zweo when no VLAN. See Ethernet stnadard specification.

## ◆ type

uint16_t Vector::BLF::AfdxFrame::type {}

EtherType which indicates protocol for Ethernet payload data

See Ethernet standard specification for valid values.

The documentation for this struct was generated from the following files:

- AfdxFrame.h
- AfdxFrame.cpp